POST
Error

Авторизации

Authorization
string
header
обязательно

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Параметры пути

action
enum<string>
обязательно

Action to perform.

Доступные опции:
enable,
disable

Тело

application/json

Request body for configuring annotation reply settings.

embedding_provider_name
string
обязательно

Name of the embedding model provider (e.g., openai, cohere).

embedding_model_name
string
обязательно

Name of the embedding model to use for annotation matching (e.g., text-embedding-3-small).

score_threshold
number<float>
обязательно

Minimum similarity score for an annotation to be considered a match. Higher values require closer matches.

Требуемый диапазон: 0 <= x <= 1

Ответ

200 - application/json

Annotation reply settings task initiated.

job_id
string<uuid>

Asynchronous job ID. Use with Get Annotation Reply Job Status to track progress.

job_status
string

Current job status. waiting for queued, processing for in progress, completed when finished, error if failed.